#See https://aka.ms/customizecontainer to learn how to customize your debug container and how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:8.0 AS base
WORKDIR /app
EXPOSE 80

FROM mcr.microsoft.com/dotnet/sdk:8.0 AS build
WORKDIR /src
COPY ["Otus.Teaching.Pcf.Preferences/Otus.Teaching.Pcf.Preferences.WebHost/Otus.Teaching.Pcf.Preferences.WebHost.csproj", "Otus.Teaching.Pcf.Preferences/Otus.Teaching.Pcf.Preferences.WebHost/"]
COPY ["Otus.Teaching.Pcf.Preferences/Otus.Teaching.Pcf.Preferences.DataAccess/Otus.Teaching.Pcf.Preferences.DataAccess.csproj", "Otus.Teaching.Pcf.Preferences/Otus.Teaching.Pcf.Preferences.DataAccess/"]
COPY ["Otus.Teaching.Pcf.Preferences/Otus.Teaching.Pcf.Preferences.Core/Otus.Teaching.Pcf.Preferences.Core.csproj", "Otus.Teaching.Pcf.Preferences/Otus.Teaching.Pcf.Preferences.Core/"]
RUN dotnet restore "Otus.Teaching.Pcf.Preferences/Otus.Teaching.Pcf.Preferences.WebHost/Otus.Teaching.Pcf.Preferences.WebHost.csproj"
COPY . .
WORKDIR "/src/Otus.Teaching.Pcf.Preferences/Otus.Teaching.Pcf.Preferences.WebHost"
RUN dotnet build "Otus.Teaching.Pcf.Preferences.WebHost.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "Otus.Teaching.Pcf.Preferences.WebHost.csproj" -c Release -o /app/publish /p:UseAppHost=false

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "Otus.Teaching.Pcf.Preferences.WebHost.dll"]